Projects
List Project Shared Resources
List resources in a project that have share links (requires FULL_ACCESS on project).
GET
/
projects
/
{project_id}
/
shared-resources
List Project Shared Resources
curl --request GET \
--url https://api.aspect.inc/projects/{project_id}/shared-resources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aspect.inc/projects/{project_id}/shared-resources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aspect.inc/projects/{project_id}/shared-resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resources": [
{
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "workspace",
"resource_name": "<string>",
"resource": {
"asset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "video",
"name": "<string>",
"size_bytes": 123,
"mime_type": "<string>",
"save_original": true,
"is_uploaded": true,
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment_count": 123,
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"is_symlink": false,
"target_path": [
"<string>"
],
"target_path_type": "relative",
"target_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_resource_name": "<string>",
"target_resource_type": "workspace",
"target_resolution_status": "resolved",
"duration": 123,
"page_count": 123,
"path": [
"<string>"
],
"features": {},
"actions": 123,
"stream_proxy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"url_expires_at": "2023-11-07T05:31:56Z",
"playback_mode": "mp4",
"size_bytes": 123
},
"scrub_proxy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"url_expires_at": "2023-11-07T05:31:56Z",
"playback_mode": "mp4",
"size_bytes": 123
},
"audio_proxy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"url_expires_at": "2023-11-07T05:31:56Z",
"playback_mode": "mp4",
"size_bytes": 123
},
"doc_proxy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"url_expires_at": "2023-11-07T05:31:56Z",
"playback_mode": "mp4",
"size_bytes": 123
},
"scrub_preview": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"url_expires_at": "2023-11-07T05:31:56Z",
"scrub_metadata": {
"frame_count": 123,
"width": 123,
"height": 123,
"frames_x": 123,
"frames_y": 123,
"frame_width": 123,
"frame_height": 123
}
},
"preview": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"url_expires_at": "2023-11-07T05:31:56Z",
"scrub_metadata": {
"frame_count": 123,
"width": 123,
"height": 123,
"frames_x": 123,
"frames_y": 123,
"frame_width": 123,
"frame_height": 123
}
},
"created_by_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"avatar_url": "<string>"
},
"client_performed_at": "2023-11-07T05:31:56Z",
"version_stack_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"is_top_version": true,
"revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_latest": true
},
"collection": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"actions": 123,
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appearance_settings": {
"header": {
"height": "small",
"show_icon": true,
"show_creation_info": true,
"show_description": true,
"show_background": true,
"icon": {
"type": "emoji",
"emoji": "<string>",
"color": "<string>",
"url": "<string>",
"upload": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mime_type": "<string>",
"size_bytes": 123,
"uploaded": true,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"url": "<string>",
"url_expires_at": "2023-11-07T05:31:56Z"
}
},
"background_attachment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mime_type": "<string>",
"size_bytes": 123,
"uploaded": true,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"url": "<string>",
"url_expires_at": "2023-11-07T05:31:56Z"
}
}
},
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"description": "<string>",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"avatar_url": "<string>"
},
"num_assets": 0,
"num_directories": 0
},
"directory": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"is_symlink": false,
"target_path": [
"<string>"
],
"target_path_type": "relative",
"target_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_resource_name": "<string>",
"target_resource_type": "workspace",
"target_resolution_status": "resolved",
"actions": 123,
"client_performed_at": "2023-11-07T05:31:56Z"
}
},
"share_count": 123,
"active_share_count": 123,
"inactive_share_count": 123,
"expired_share_count": 123,
"in_trash": true,
"updated": "2023-11-07T05:31:56Z"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
BearerAuthApiKeyAuth
JWT in Authorization header. 'Bearer ' prefix optional.
Path Parameters
Response
Successful Response
⌘I
List Project Shared Resources

